<?php
/*
Plugin Name: Histogram
Version: 0.2.0
Description: Allow to make stat on pictures colors
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=484
Author: grum@piwigo.org
Author URI: http://www.grum.fr
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://www.grum.fr

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY

| release | date       |
| 0.1.0   | 2011/01/07 | * start to coding
|         |            |
| 0.1.1   | 2011/09/25 | * mantis feature:2151
|         |            |   . compatibility with Piwigo 2.2
|         |            |
| 0.2.0   | 2011/09/25 | * mantis feature:2640
|         |            |   . compatibility with Piwigo 2.4
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |


:: TO DO

--------------------------------------------------------------------------------

:: NFO
  HGram_root : common classe for admin and public classes
  HGram_AIM  : classe to manage plugin integration into plugin menu
  HGram_AIP  : classe to manage plugin admin pages
  HGram_PIP  : classe to manage plugin public pages

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
 //ini_set('error_reporting', E_ALL);
 //ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


define('HGRAM_DIR' , basename(dirname(__FILE__)));
define('HGRAM_PATH' , PHPWG_PLUGINS_PATH . HGRAM_DIR . '/');

include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
include_once('hgram_version.inc.php'); // => Don't forget to update this file !!

global $prefixeTable;

if(!defined('AJAX_CALL'))
{
  if(defined('IN_ADMIN'))
  {
    // HGram admin interface loaded and active only if in admin page
    include_once("hgram_aim.class.inc.php");
    $obj=new HGram_AIM($prefixeTable, __FILE__);
    $obj->initEvents();
    set_plugin_data($plugin['id'], $obj);
  }
  else
  {
    if(CommonPlugin::checkGPCRelease(HGRAM_GPC_NEEDED) and !mobile_theme())
    {
      // HGram public interface loaded and active only if in public page
      include_once("hgram_pip.class.inc.php");
      $obj=new HGram_PIP($prefixeTable, __FILE__);
      set_plugin_data($plugin['id'], $obj);
    }
  }
}

?>
